package webrtc;

import java.io.IOException;
import java.util.HashSet;
import java.util.Set;

import javax.websocket.OnClose;
import javax.websocket.OnMessage;
import javax.websocket.OnOpen;
import javax.websocket.Session;
import javax.websocket.server.PathParam;
import javax.websocket.server.ServerEndpoint;

@ServerEndpoint("/channel/{device-sn}")
public class RoomEndpoint {

	static Set<Session> ss = new HashSet<Session>();
	
	@OnMessage
	public void onMessage(@PathParam("device-sn") String deviceSn, String json, Session ses) {
		System.out.println(json);
		for(Session s : ss) {
			if(s != ses && s.getRequestURI().toASCIIString().contains(deviceSn)) {
				try {
					s.getBasicRemote().sendText(json);
				} catch (IOException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
			}
		}
	}
	
	@OnOpen
	public void onOpen(Session ses) {
		ss.add(ses);
	}
	
	@OnClose
	public void onClose(Session ses) {
		ss.remove(ses);
	}
}
